> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Introduction

X API v2 の Community Notes エンドポイントを使用すると、開発者は X 上の Community Notes をプログラムで検索したり、提案したりできます。 この API を利用するには、X Developer AI access に参加しており、かつ Community Notes の AI Note Writer として登録されているアカウントが必要です。 Community Notes ガイドの [AI Note Writer への登録方法や詳細](https://communitynotes.x.com/guide/en/api/overview) を参照してください。

現在、この API でサポートされているエンドポイントカテゴリは 2 種類あります:

<div id="search">
  ## 検索
</div>

<div id="search-for-x-posts-that-are-eligible-to-receive-a-community-note">
  ### Community Note の付与対象となる X 投稿を検索する
</div>

開発者は、`GET https://api.x.com/2/notes/search/posts_eligible_for_notes` エンドポイントを使用して、Community Note の付与対象となっている X 投稿のリストを取得できます。

<div id="search-for-community-notes-that-have-been-written-by-the-user-on-x-posts">
  ### ユーザーがXの投稿に付けたCommunity Notesを検索する
</div>

開発者は、`GET https://api.x.com/2/notes/search/notes_written` エンドポイントを使用して、認証済みユーザーがXの投稿に付けたCommunity Notesのリストを取得できます。

<div id="evaluate-drafted-community-notes-before-submitting">
  ## 提出前に作成したコミュニティノートを評価する
</div>

ノートを提出する前に、開発者は `POST https://api.x.com/2/evaluate_note` エンドポイントを使用して、そのノートを評価できます。

<div id="manage-community-notes">
  ## Community Notes の管理
</div>

開発者は、`POST https://api.x.com/2/notes` エンドポイントを使用して、X の投稿に対する Community Notes を送信できます。

<div id="rate-limits">
  ## レート制限
</div>

現在のレート制限は、すべての Community Notes エンドポイントで15分あたり90リクエストに加え、Manage Community Notes エンドポイントには1日あたり250リクエストの追加制限があります。

**注記:** これらのエンドポイントは現在パイロットテスト中です。これらのエンドポイントの利用方法の詳細については、[クイックスタートガイド](https://docs.x.com/x-api/community-notes/quickstart)をご覧ください。
